<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/
		
if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

	openTable();
		echo "<table width='100%' align='center' cellspacing='1' cellpadding='0' class='std_nicetable'>\n";
		echo "<thead>\n";
		echo "<tr><td width='30%'>"._NAME_."</td><td width='30%'>"._TITLE_."</td><td width='40%'>"._EMAIL_."</td>\n";
		echo "</thead>\n";
		echo "<tbody>\n";
		$n = 0;
		if ($result = $dblink->get_list("SELECT id,user,email,rank FROM memht_utenti WHERE rank>2 AND enabled=1 ORDER BY rank DESC")) {
			foreach ($result as $row) {
				$ruserid = intval($row['id']);
				$radmin = outCode($row['user']);
				$remail = maskEmail(outCode($row['email']));
				$rrank = intval($row['rank']);
				
				switch ($rrank) {
					case 3: $rtitle = _ADMIN_; break;
					case 4: $rtitle = _SUPERADMIN_; break;
				}
				
				$fontcolor = ($rrank>3) ? "#900" : "#06F" ;
				$class = (($n++%2)!=0) ? "std_hlight" : "std_clean" ;
				
				echo "<tr><td class='$class'><a href='index.php?page=users&op=userInfo&uid=$ruserid' title='$radmin'><font color='$fontcolor'><b>$radmin</b></font></a></td><td class='$class' nowrap>$rtitle</td><td class='$class' nowrap>$remail</td>\n";
			}
		} else {
			echo "<tr><td colspan='3' id='errorText' align='center' class='std_clean'><b>"._EMPTY_."</b></td>\n";
		}
		echo "</tbody>\n";
		echo "</table>";
	closeTable();

?>